org.apache.commons.math.analysis.interpolation

## Class NevilleInterpolator

- java.lang.Object
- - org.apache.commons.math.analysis.interpolation.NevilleInterpolator

All Implemented Interfaces:
  java.io.Serializable, UnivariateRealInterpolator

    public class NevilleInterpolator
    extends java.lang.Object
    implements UnivariateRealInterpolator, java.io.Serializable

Implements the Neville's Algorithm for interpolation of real univariate functions. For reference, see Introduction to Numerical Analysis, ISBN 038795452X, chapter 2.

The actual code of Neville's evalution is in PolynomialFunctionLagrangeForm, this class provides an easy-to-use interface to it.

Since:
  1.2
Version:
  $Revision: 799857 $ $Date: 2009-08-01 15:07:12 +0200 (sam. 01 août 2009) $
See Also:
  Serialized Form

### Field Summary

Fields
`(package private) static long` `serialVersionUID` serializable version identifier

### Constructor Summary

Constructors
Constructor and Description
`NevilleInterpolator()`

### Method Summary

Methods
`PolynomialFunctionLagrangeForm` `interpolate(double[] x, double[] y)` Computes an interpolating function for the data set.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

serializable version identifier

See Also:
  Constant Field Values

### Constructor Detail

#### NevilleInterpolator

    public NevilleInterpolator()

### Method Detail

#### interpolate

    public PolynomialFunctionLagrangeForm interpolate(double[] x,
                                             double[] y)
                                               throws MathException

Computes an interpolating function for the data set.

Specified by:
  `interpolate` in interface `UnivariateRealInterpolator`
Parameters:
  `x` - the interpolating points array
  `y` - the interpolating values array
Returns:
  a function which interpolates the data set
Throws:
  `MathException` - if arguments are invalid